Browse Source

Add pyxdg dependency to configure and config.py

master
Nils 2 years ago
parent
commit
40a1d7068c
  1. 5
      configure
  2. 2
      engine/config.py

5
configure

@ -6,6 +6,7 @@ version=0.3.1
prefix=/usr/local
required_version_python=3.8
required_version_pyqt=5.0
required_version_pyxdg=0.27
@ -46,6 +47,10 @@ python3 -c 'import PyQt5' >/dev/null 2>&1 || { echo >&2 "PyQt for Python3 >= $re
PYQTVERSION=$(python3 -c 'from PyQt5.QtCore import QT_VERSION_STR; print(QT_VERSION_STR)')
if version_gt $required_version_pyqt $PYQTVERSION; then echo "PyQt must be version >= $required_version_pyqt but is $PYQTVERSION. Aborting."; exit 1; fi
python3 -c 'import xdg' >/dev/null 2>&1 || { echo >&2 "PyXDG for Python3 >= $required_version_pyxdg is required but it's not installed. https://freedesktop.org/wiki/Software/pyxdg/ . Aborting."; exit 1; }
PYXDGVERSION=$(python3 -c 'from xdg import __version__; print(__version__)')
if version_gt $required_version_pyxdg $PYXDGVERSION; then echo "PyXDG must be version >= $required_version_pyxdg but is $PYXDGVERSION. Aborting."; exit 1; fi
echo "generating makefile"
printf "PREFIX=$prefix\nPROGRAM=$program\nVERSION=$version\n" >Makefile

2
engine/config.py

@ -52,6 +52,6 @@ Agordejo does not re-invent the wheel but instead uses the New-Session-Manager d
it with some tricks of its own, that always remain 100% compatible with the original sessions.
""", #this is the dict-comma.
"dependencies" : "\n".join("* "+dep for dep in ("nsmd: New Session Manager", "grep")),
"dependencies" : "\n".join("* "+dep for dep in ("nsmd: New Session Manager", "pyxdg: python-xdg")),
}

Loading…
Cancel
Save